Bug 459335 - Backup fails.
Backup fails.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rdiff-backup (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-16 15:27 EDT by eric@christensenplace.us
Modified: 2008-09-04 15:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-04 15:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2008-08-16 15:27:05 EDT
Description of problem: Will not perform backup.


Version-Release number of selected component (if applicable): 1.0.5-7.fc9


How reproducible: Very


Steps to Reproduce:
1. rdiff-backup -b --print-statistics  /home/Amanda 192.168.1.10::/home/amanda/backup
2. Wait a few minutes
3. Receive error
  
Actual results: Error:
[Amanda@amanda Desktop]$ ./backup 
	Exception '[Errno 116] Stale NFS file handle: '/home/Amanda/.thumbnails/fail/gnome-thumbnail-factory/e917cbda898c55631d3203d03d8291ff.png'' raised of class '<type 'exceptions.OSError'>':
  File "/usr/lib/python2.5/site-packages/rdiff_backup/robust.py", line 32, in check_common_error
    try: return function(*args)
  File "/usr/lib/python2.5/site-packages/rdiff_backup/rpath.py", line 932, in append
    return self.__class__(self.conn, self.base, self.index + (ext,))
  File "/usr/lib/python2.5/site-packages/rdiff_backup/rpath.py", line 674, in __init__
    else: self.setdata()
  File "/usr/lib/python2.5/site-packages/rdiff_backup/rpath.py", line 698, in setdata
    self.data = self.conn.C.make_file_dict(self.path)

Traceback (most recent call last):
  File "/usr/bin/rdiff-backup", line 23, in <module>
    rdiff_backup.Main.Main(sys.argv[1:])
  File "/usr/lib/python2.5/site-packages/rdiff_backup/Main.py", line 285, in Main
    take_action(rps)
  File "/usr/lib/python2.5/site-packages/rdiff_backup/Main.py", line 255, in take_action
    elif action == "backup": Backup(rps[0], rps[1])
  File "/usr/lib/python2.5/site-packages/rdiff_backup/Main.py", line 308, in Backup
    backup.Mirror(rpin, rpout)
  File "/usr/lib/python2.5/site-packages/rdiff_backup/backup.py", line 38, in Mirror
    DestS.patch(dest_rpath, source_diffiter)
  File "/usr/lib/python2.5/site-packages/rdiff_backup/connection.py", line 445, in __call__
    return apply(self.connection.reval, (self.name,) + args)
  File "/usr/lib/python2.5/site-packages/rdiff_backup/connection.py", line 367, in reval
    if isinstance(result, Exception): raise result
OSError: [Errno 116] Stale NFS file handle: '/home/Amanda/.thumbnails/fail/gnome-thumbnail-factory/e917cbda898c55631d3203d03d8291ff.png'
Traceback (most recent call last):
  File "/usr/bin/rdiff-backup", line 23, in <module>
    rdiff_backup.Main.Main(sys.argv[1:])
  File "/usr/lib/python2.5/site-packages/rdiff_backup/Main.py", line 285, in Main
    take_action(rps)
  File "/usr/lib/python2.5/site-packages/rdiff_backup/Main.py", line 253, in take_action
    connection.PipeConnection(sys.stdin, sys.stdout).Server()
  File "/usr/lib/python2.5/site-packages/rdiff_backup/connection.py", line 352, in Server
[Amanda@amanda Desktop]$     self.get_response(-1)
  File "/usr/lib/python2.5/site-packages/rdiff_backup/connection.py", line 314, in get_response
    try: req_num, object = self._get()
  File "/usr/lib/python2.5/site-packages/rdiff_backup/connection.py", line 230, in _get
    raise ConnectionReadError("Truncated header string (problem "
rdiff_backup.connection.ConnectionReadError: Truncated header string (problem probably originated remotely)
Exception exceptions.TypeError: "'NoneType' object is not callable" in <bound method GzipFile.__del__ of <gzip open file '/home/amanda/backup/rdiff-backup-data/access_control_lists.2008-08-16T15:13:25-04:00.snapshot.gz', mode 'wb' at 0xb7c9a260 0xb7b76c6cL>> ignored
Exception exceptions.TypeError: "'NoneType' object is not callable" in <bound method GzipFile.__del__ of <gzip open file '/home/amanda/backup/rdiff-backup-data/extended_attributes.2008-08-16T15:13:25-04:00.snapshot.gz', mode 'wb' at 0xb7c9a0f8 0xb7b76d6cL>> ignored
Exception exceptions.TypeError: "'NoneType' object is not callable" in <bound method GzipFile.__del__ of <gzip open file '/home/amanda/backup/rdiff-backup-data/file_statistics.2008-08-16T15:13:25-04:00.data.gz', mode 'wb' at 0xb7c9a068 0xb7b76e6cL>> ignored
Exception exceptions.TypeError: "'NoneType' object is not callable" in <bound method GzipFile.__del__ of <gzip open file '/home/amanda/backup/rdiff-backup-data/error_log.2008-08-16T15:13:25-04:00.data.gz', mode 'wb' at 0xb7c9a020 0xb7b7356cL>> ignored
Exception exceptions.TypeError: "'NoneType' object is not callable" in <bound method GzipFile.__del__ of <gzip open file '/home/amanda/backup/rdiff-backup-data/mirror_metadata.2008-08-16T15:13:25-04:00.snapshot.gz', mode 'wb' at 0xb7c9a0b0 0xb7b76b4cL>> ignored

Expected results: The backup performs error free.


Additional info: The only data that is created on the server side is a directory named "rdiff-backup-data".
Comment 1 Kevin Fenzi 2008-08-17 14:40:24 EDT
You seem to have a stale NFS mount on the machine you are trying to backup? 

Does 'mount' show any such stale NFS mount? 

rdiff-backup tries to check for space and if there is any stale nfs mounts, it can't get a good answer, so it fails. I don't know if this has been improved in 1.2.0 (just released), but you could try it there as well...
Comment 2 eric@christensenplace.us 2008-08-21 17:30:00 EDT
I found a single mount problem.  Repaired it and retried the backup.  Still get the same error.
Comment 3 Kevin Fenzi 2008-08-22 19:07:35 EDT
The exact same traceback?
Can you try running it with '-v 6' and attaching the output? 

Also, the rdiff-backup-data dir on the backup host is empty? 
Try moving it out of the way in case there is a partial/corrupted backup in there?
Comment 4 eric@christensenplace.us 2008-09-04 15:47:06 EDT
Something hokie is going on with the client.  I think you pointed me in the right direction, though.  I'll troubleshoot further but I'm going to close this ticket for now.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.